AIAPIAIAPI API

Wan 3.0 image-to-video

Model ID alibaba/wan-3.0/image-to-video

概览

Alibaba · image-to-video

重要: Duration -1 enables smart duration. Media inputs must be public HTTP/HTTPS URLs.

接口

POST /v1/video/generations

认证

Authorization: Bearer <AIAPIAIAPI_API_KEY>

请求体

参数类型必填可空默认值约束说明
modelstring是否-values: alibaba/wan-3.0/image-to-video用于路由请求的模型 ID。
promptstring是否--Required prompt, up to 20000 characters.
imagestring是否-accepts: HTTP/HTTPS URL主输入图或首帧图,支持 HTTPS URL 或 Base64 data URL。
end_imagestring否否-accepts: HTTP/HTTPS URL可选的结束帧图片,支持 HTTPS URL 或 Base64 data URL。
audio_enableboolean否否`true`-是否同时生成视频音频。
durationinteger否否`5`range: 2-30; also allows: -1生成视频的时长,单位为秒。
resolutionstring否否`1080p`values: 1080p, 720p, 480p, 720p-esr, 1080p-esr, 1440p-esr, 4k-esr输出视频分辨率。
seedinteger否否-min: -1随机种子;使用 -1 可获得随机结果。

model

类型:string · 必填:是 · 可空:否

用于路由请求的模型 ID。

prompt

类型:string · 必填:是 · 可空:否

Required prompt, up to 20000 characters.

image

类型:string · 必填:是 · 可空:否

主输入图或首帧图,支持 HTTPS URL 或 Base64 data URL。

end_image

类型:string · 必填:否 · 可空:否

可选的结束帧图片,支持 HTTPS URL 或 Base64 data URL。

audio_enable

类型:boolean · 必填:否 · 可空:否

是否同时生成视频音频。

duration

类型:integer · 必填:否 · 可空:否

生成视频的时长,单位为秒。

resolution

类型:string · 必填:否 · 可空:否

输出视频分辨率。

seed

类型:integer · 必填:否 · 可空:否

随机种子;使用 -1 可获得随机结果。

请求示例

curl --request POST \
  --url https://aiapiaiapi.com/v1/video/generations \
  --header 'Authorization: Bearer $AIAPIAIAPI_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
      "model": "alibaba/wan-3.0/image-to-video",
      "prompt": "A cinematic camera movement through a forest",
      "image": "https://example.com/reference.jpg",
      "duration": 5,
      "resolution": "1080p"
    }'

JSON

{
  "model": "alibaba/wan-3.0/image-to-video",
  "prompt": "A cinematic camera movement through a forest",
  "image": "https://example.com/reference.jpg",
  "duration": 5,
  "resolution": "1080p"
}

响应

{
  "id": "vid_01K2ABC123",
  "object": "video.generation",
  "model": "alibaba/wan-3.0/image-to-video",
  "status": "queued",
  "progress": null,
  "outputs": [],
  "created_at": 1786960800,
  "started_at": null,
  "completed_at": null,
  "error": null
}

任务状态

使用创建响应中的 id 作为 task_id:

GET /v1/video/generations/{task_id}

{
  "id": "vid_01K2ABC123",
  "object": "video.generation",
  "model": "alibaba/wan-3.0/image-to-video",
  "status": "completed",
  "progress": 100,
  "outputs": [
    { "type": "video", "url": "https://cdn.example.com/videos/vid_01K2ABC123.mp4" }
  ],
  "created_at": 1786960800,
  "started_at": 1786960805,
  "completed_at": 1786960900,
  "error": null
}

错误响应

参数校验错误返回 HTTP 400,并包含稳定的错误代码。

{
  "error": {
    "type": "invalid_request_error",
    "code": "unsupported_value",
    "message": "The parameter value is not supported by this model.",
    "param": "duration"
  }
}

文档索引

获取完整文档索引:

https://aiapiaiapi.com/llms.txt

使用该文件发现所有可用的 API 文档。